#
# spec file for package perl-AnyEvent-WebSocket-Client
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name AnyEvent-WebSocket-Client
Name:           perl-AnyEvent-WebSocket-Client
Version:        0.55
Release:        1.8
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        WebSocket client for AnyEvent
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(AnyEvent) >= 7.13
BuildRequires:  perl(AnyEvent::Connector) >= 0.03
BuildRequires:  perl(Moo) >= 2.0
BuildRequires:  perl(PerlX::Maybe) >= 0.003
BuildRequires:  perl(Protocol::WebSocket) >= 0.20
BuildRequires:  perl(Test2::API) >= 1.302015
BuildRequires:  perl(Test2::Require) >= 0.000121
BuildRequires:  perl(Test2::Require::Module) >= 0.000121
BuildRequires:  perl(Test2::V0) >= 0.000121
BuildRequires:  perl(URI) >= 1.53
BuildRequires:  perl(URI::ws)
Requires:       perl(AnyEvent) >= 7.13
Requires:       perl(AnyEvent::Connector) >= 0.03
Requires:       perl(Moo) >= 2.0
Requires:       perl(PerlX::Maybe) >= 0.003
Requires:       perl(Protocol::WebSocket) >= 0.20
Requires:       perl(URI) >= 1.53
Requires:       perl(URI::ws)
Recommends:     perl(EV)
Recommends:     perl(IO::Socket::SSL)
Recommends:     perl(Math::Random::Secure)
Recommends:     perl(Net::SSLeay)
Recommends:     perl(PerlX::Maybe::XS)
%{perl_requires}

%description
This class provides an interface to interact with a web server that
provides services via the WebSocket protocol in an AnyEvent context. It
uses Protocol::WebSocket rather than reinventing the wheel. You could use
AnyEvent and Protocol::WebSocket directly if you wanted finer grain
control, but if that is not necessary then this class may save you some
time.

The recommended API was added to the AnyEvent::WebSocket::Connection class
with version 0.12, so it is recommended that you include that version when
using this module. The older version of the API has since been deprecated
and removed.

%prep
%autosetup  -n %{cpan_name}-%{version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes example README
%license LICENSE

%changelog
* Fri May  5 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.55
  see /usr/share/doc/packages/perl-AnyEvent-WebSocket-Client/Changes
  0.55      2023-05-04 10:28:24 -0600
    [WARNING: change in behavior]
  - Fix the default code for close to be 1000 (gh#61, gh#62)
* Sat Mar 20 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.54
  see /usr/share/doc/packages/perl-AnyEvent-WebSocket-Client/Changes
  0.54      2021-03-19 06:13:48 -0600
  - Delay loading AnyEvent::Connector until needed.
  - Moved git repository to new github org.
* Mon May 11 2020 Frank Schreiner <FSchreiner@suse.com>
- initial version of package (0.53)
